Hi All,

I am migrating from rails 2.3.5 to rails 3 ( ruby mode is 1.8.7) and
Jruby 1.6.4

In my project ( 2.3.5 version) i have heavily used loaded , loading
update callbacks of ajax and have never used jquery. Also i have used
link_to_remote , submit_to_remote calls etc.

I would like to know whats the best way to go about upgrading . Do i
have to use jquery and ujs?

One useful url i went through was :

http://www.simonecarletti.com/blog/2010/06/unobtrusive-javascript-in-rails-3/

I do not want to use prototype_legacy_helpers as the more i prolong the
upgradation tougher it is going to get.

Please suggest the best way to go about it.

Thanks.

--
Posted via http://www.ruby-forum.com/.

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To post to this group, send email to rubyonrails-talk@googlegroups.com.
To unsubscribe from this group, send email to rubyonrails-talk+unsubscribe@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/rubyonrails-talk?hl=en.

Search Discussions

  • Chirag Singhal at Sep 27, 2011 at 7:58 am
    Hi Prachi,


    Jquery is the way to go. That article will get you most of the way and if
    you get stuck anywhere, you can always post the specific problem on this
    forum.

    You can do the same stuff in prototype as well, but it would be much simpler
    and fun to do with jQuery. http://visualjquery.com/ is a very good reference
    for jquery functions.

    Chirag
    http://sumeruonrails.com


    On Tue, Sep 27, 2011 at 12:58 PM, Prachi Tripathi wrote:

    Hi All,

    I am migrating from rails 2.3.5 to rails 3 ( ruby mode is 1.8.7) and
    Jruby 1.6.4

    In my project ( 2.3.5 version) i have heavily used loaded , loading
    update callbacks of ajax and have never used jquery. Also i have used
    link_to_remote , submit_to_remote calls etc.

    I would like to know whats the best way to go about upgrading . Do i
    have to use jquery and ujs?

    One useful url i went through was :


    http://www.simonecarletti.com/blog/2010/06/unobtrusive-javascript-in-rails-3/

    I do not want to use prototype_legacy_helpers as the more i prolong the
    upgradation tougher it is going to get.

    Please suggest the best way to go about it.

    Thanks.

    --
    Posted via http://www.ruby-forum.com/.

    --
    You received this message because you are subscribed to the Google Groups
    "Ruby on Rails: Talk" group.
    To post to this group, send email to rubyonrails-talk@googlegroups.com.
    To unsubscribe from this group, send email to
    rubyonrails-talk+unsubscribe@googlegroups.com.
    For more options, visit this group at
    http://groups.google.com/group/rubyonrails-talk?hl=en.
    --
    You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
    To post to this group, send email to rubyonrails-talk@googlegroups.com.
    To unsubscribe from this group, send email to rubyonrails-talk+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/rubyonrails-talk?hl=en.

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouprubyonrails-talk @
categoriesrubyonrails
postedSep 27, '11 at 7:29a
activeSep 27, '11 at 7:58a
posts2
users2
websiterubyonrails.org
irc#RubyOnRails

2 users in discussion

Prachi Tripathi: 1 post Chirag Singhal: 1 post

People

Translate

site design / logo © 2021 Grokbase